ClusterManagementListOperationsResult (Apache Geode 1.15.4)

org.apache.geode.management.api

## Class ClusterManagementListOperationsResult<A extends ClusterManagementOperation<V>,V extends OperationResult>

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult
  - - org.apache.geode.management.api.ClusterManagementListOperationsResult<A,V>

- Type Parameters:
    `V` - the result type associated with the operation type being listed

      @Experimental
      public class ClusterManagementListOperationsResult<A extends ClusterManagementOperation<V>,V extends OperationResult>
      extends ClusterManagementResult

  returned from `ClusterManagementService.list(ClusterManagementOperation)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

      `ClusterManagementResult.StatusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementListOperationsResult(List<ClusterManagementOperationResult<A,V>> result)` for internal use only

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ClusterManagementOperationResult<A,V>>` | `getResult()` Returns the payload of the list call

    - ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

      `equals, getStatusCode, getStatusMessage, hashCode, isSuccessful, setLinks, setStatus, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementListOperationsResult

          public ClusterManagementListOperationsResult(List<ClusterManagementOperationResult<A,V>> result)

      for internal use only
      Parameters:
        `result` - the result to set

  - ### Method Detail

    - #### getResult

          public List<ClusterManagementOperationResult<A,V>> getResult()

      Returns the payload of the list call
      Returns:
        the payload of the list call